Get one of your sales
curl --request GET \
--url https://api.moonup.gg/v1/orders/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.moonup.gg/v1/orders/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.moonup.gg/v1/orders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.moonup.gg/v1/orders/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.moonup.gg/v1/orders/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.moonup.gg/v1/orders/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.moonup.gg/v1/orders/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"offer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"offer_title": "<string>",
"brand_slug": "<string>",
"category_slug": "<string>",
"buyer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"delivery_type": "manual",
"bulk_quantity": 123,
"subtotal": 123,
"warranty_plan": "none",
"earnings": 123,
"currency": "<string>",
"deadline_at": "2023-11-07T05:31:56Z",
"warranty_expires_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"buyer_fields": {},
"offer_delivery_method": "<string>",
"dispute_reason_code": "not_working",
"dispute_details": "<string>",
"cancel_reason": "out_of_stock"
}{
"error": "delivery_instructions_required"
}{
"error": "unauthorized"
}{
"error": "not_found"
}{
"error": "rate_limited"
}Orders
Get one of your sales
Read one order for your MoonUP listings, with its status and what the buyer paid for.
GET
/
v1
/
orders
/
{id}
Get one of your sales
curl --request GET \
--url https://api.moonup.gg/v1/orders/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.moonup.gg/v1/orders/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.moonup.gg/v1/orders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.moonup.gg/v1/orders/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.moonup.gg/v1/orders/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.moonup.gg/v1/orders/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.moonup.gg/v1/orders/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"offer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"offer_title": "<string>",
"brand_slug": "<string>",
"category_slug": "<string>",
"buyer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"delivery_type": "manual",
"bulk_quantity": 123,
"subtotal": 123,
"warranty_plan": "none",
"earnings": 123,
"currency": "<string>",
"deadline_at": "2023-11-07T05:31:56Z",
"warranty_expires_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"buyer_fields": {},
"offer_delivery_method": "<string>",
"dispute_reason_code": "not_working",
"dispute_details": "<string>",
"cancel_reason": "out_of_stock"
}{
"error": "delivery_instructions_required"
}{
"error": "unauthorized"
}{
"error": "not_found"
}{
"error": "rate_limited"
}Authorizations
Response
OK
An order for one of your listings. Its title and filing are a copy
taken at purchase, so they read the same after you edit or archive the
listing; the listing itself is yours to read by offer_id. Amounts
are US cents.
pending — not paid yet. awaiting_delivery — paid, waiting for
you to deliver. delivered — the buyer has the goods and is
checking them. completed — the buyer confirmed, or 2 days passed.
disputed — the buyer raised a problem; if nothing was handed over
yet, delivering is still open to you. refunded, cancelled,
failed are final.
Available options:
pending, awaiting_delivery, delivered, completed, disputed, refunded, cancelled, failed 